> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Instamart Search

> Search Instamart by query — listings, prices, stock, ratings, images

`$0.003 / 1k products`

Search Instamart by query — listings, prices, stock, ratings, images

## Endpoint

`POST /api/v1/agents/instamart/search/run`

## Parameters

<ParamField body="stores" type="array">
  **Multi-select** · Pick one or more dark-store locations (city - pincode - store ID).

  [View all 1206 options →](/agents/instamart/search/values#stores)
</ParamField>

<ParamField body="cities" type="array">
  **Multi-select** · Or expand by city — pick one or more cities and we'll include all their stores.

  [View all 145 options →](/agents/instamart/search/values#cities)
</ParamField>

<ParamField body="pincodes" type="array">
  **Multi-select** · Or expand by pincode — pick one or more pincodes and we'll include all their stores.

  [View all 820 options →](/agents/instamart/search/values#pincodes)
</ParamField>

<ParamField body="queries" type="array" required>
  **List** · Search queries (e.g. milk, bread). One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={50}>
  **Number** · Maximum products to return per store × query. Use 0 for all.
</ParamField>

## Response columns

| Field         | Display name | Type       |
| ------------- | ------------ | ---------- |
| `searchQuery` | Search Query | text       |
| `storeId`     | Store ID     | text       |
| `city`        | City         | text       |
| `pincode`     | Pincode      | text       |
| `productUrl`  | Product URL  | url        |
| `productName` | Product Name | text       |
| `brand`       | Brand        | text       |
| `image`       | Image        | url        |
| `price`       | Price        | currency   |
| `mrp`         | MRP          | currency   |
| `discount`    | Discount %   | percentage |
| `quantity`    | Quantity     | text       |
| `rating`      | Rating       | rating     |
| `inStock`     | In Stock     | boolean    |
| `inventory`   | Inventory    | number     |
| `category`    | Category     | text       |
| `subCategory` | Sub-Category | text       |
| `platform`    | Platform     | text       |
| `page`        | Page         | number     |
| `productId`   | Product ID   | text       |
| `variantId`   | Variant ID   | text       |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/instamart/search/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "platform": "instamart",
      "stores": [
        "1313712"
      ],
      "queries": [
        "milk",
        "chips"
      ],
      "max_pages": 1
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/instamart/search/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "platform": "instamart",
      "stores": [
          "1313712"
      ],
      "queries": [
          "milk",
          "chips"
      ],
      "max_pages": 1
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "searchQuery": "milk",
      "storeId": "1313712",
      "city": "Bengaluru",
      "pincode": "560001",
      "productUrl": "https://www.swiggy.com/instamart/item/LB3ZS2R9VC",
      "productName": "Nandini Shubam Milk",
      "brand": "Nandini",
      "image": [
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/NI_CATALOG/IMAGES/ciw/2025/12/17/b816eaab-cccf-4cf0-8935-23b465e49232_DOQWASOGZL_MN_17122025.png",
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/gpi1i1rmexem3f2aohls",
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/jo6meqy4flvj3jjvs6u1"
      ],
      "price": 52.0,
      "mrp": 52.0,
      "discount": 0.0,
      "quantity": "1 ltr",
      "rating": 4.4,
      "inStock": true,
      "inventory": 1,
      "category": "Milk",
      "subCategory": "Pasteurized",
      "platform": "Instamart",
      "page": 0,
      "productId": "LB3ZS2R9VC",
      "variantId": "DJZOSOLGGV"
    }
  ]
}
```
